﻿using System;
using System.Net;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Collections.Generic;
using System.Diagnostics;
using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;

namespace RetrieveAuditTrail
{
    class AuditTrail
    {
        private static String API_URL = "https://sandbox.e-signlive.com/api";
        private static String API_KEY = "your_api_key";

        public static void Main(string[] args)
        {
            EslClient eslClient = new EslClient(API_KEY, API_URL);

            PackageId packageId = new PackageId("COMPLETED_PACKAGE_ID");

            List<Audit> myaudit = eslClient.AuditService.GetAudit(packageId);
            List<Audit>.Enumerator myenum = myaudit.GetEnumerator();

            while (myenum.MoveNext())
            {
                Debug.WriteLine("DateTime - " + myenum.Current.dateTime + ", Type - " + myenum.Current.type + ", User - " + myenum.Current.user + ", Email - " + myenum.Current.email + ", IP - " + myenum.Current.ip + ", Target - " + myenum.Current.target + ", Data - " + myenum.Current.data);
            }
        }
    }
}